package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.RoleTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: crm派单档案配给信息
 * @Author: CaoZixuan
 * @Date: 2023-08-18
 */
public class CrmArchivesAllocationResult {
    @ApiModelProperty("分配角色类型")
    @JsonIgnore
    private RoleTypeEnum type;

    @ApiModelProperty("分配角色")
    private RoleResult roleResult;

    @ApiModelProperty("档案id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long archivesId;

    @ApiModelProperty("档案名称")
    private String archiverName;

    @ApiModelProperty("供应商id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long supplierId;

    @ApiModelProperty("供应商名称")
    private String supplierName;

    @ApiModelProperty("档案人省")
    private String archivesProvince;

    @ApiModelProperty("档案人市")
    private String archivesCity;

    @ApiModelProperty("用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty("该用户认证的所有角色")
    private List<RoleTypeEnum> authRoles;

    public RoleTypeEnum getType() {
        return type;
    }

    public void setType(RoleTypeEnum type) {
        this.type = type;
    }

    public RoleResult getRoleResult() {
        return roleResult;
    }

    public void setRoleResult(RoleResult roleResult) {
        this.roleResult = roleResult;
    }

    public Long getArchivesId() {
        return archivesId;
    }

    public void setArchivesId(Long archivesId) {
        this.archivesId = archivesId;
    }

    public String getArchiverName() {
        return archiverName;
    }

    public void setArchiverName(String archiverName) {
        this.archiverName = archiverName;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getArchivesProvince() {
        return archivesProvince;
    }

    public void setArchivesProvince(String archivesProvince) {
        this.archivesProvince = archivesProvince;
    }

    public String getArchivesCity() {
        return archivesCity;
    }

    public void setArchivesCity(String archivesCity) {
        this.archivesCity = archivesCity;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<RoleTypeEnum> getAuthRoles() {
        return authRoles;
    }

    public void setAuthRoles(List<RoleTypeEnum> authRoles) {
        this.authRoles = authRoles;
    }
}
